Drone Footage V2

Preset-driven drone footage generation with style-based camera movements, producing smooth, colour-consistent footage

POST/v2/drone-footage/generate202

Queue preset-driven drone footage generation. V2 uses style-based presets (e.g. front_left_zoom, front_right_approach) instead of V1's direction-based approach, producing smooth, colour-consistent footage.

Request Body

ParameterTypeRequiredDescription
addressstringYesFull Australian property address
options.stylestringYesOne of: "front_left_zoom", "front_right_approach"
options.durationinteger (3-15)NoVideo duration in seconds (3-15). Defaults to style-dependent value
options.front_directionnumber (0-360)NoPrecise property frontage angle in degrees (0-359). Rotates camera for accurate framing
options.latnumberNoPre-resolved latitude — skips geocoding when provided with lng
options.lngnumberNoPre-resolved longitude — skips geocoding when provided with lat
webhook_urlstring (URI)NoURL to receive progress and completion webhooks
callback_metadataobjectNoOpaque data returned in webhook payloads

Request Example

{
  "address":  "example",
  "options":  {
    "style":  "front_left_zoom",
    "duration":  3,
    "front_direction":  0,
    "lat":  0,
    "lng":  0
  },
  "webhook_url":  "https://example.com/image.jpg"
}

Response

{
  "data":  {
    "job_id":  "550e8400-e29b-41d4-a716-446655440000",
    "status":  "queued"
  },
  "meta":  {
    "request_id":  "req_abc123",
    "timestamp":  "2026-03-12T10:00:00.000Z",
    "mode":  "live"
  }
}